Index: orxonox/trunk/configure.ac
===================================================================
--- orxonox/trunk/configure.ac	(revision 4664)
+++ orxonox/trunk/configure.ac	(revision 4665)
@@ -334,6 +334,6 @@
 
    CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
-   AC_CHECK_HEADERS([SDL/SDL.h] ,,
-      [AC_CHECK_HEADERS([SDL.h] ,,AC_MSG_ERROR([cannot find SDL header. please download from libsdl.org])]))
+   AC_CHECK_HEADERS([SDL.h] ,,
+      [AC_CHECK_HEADERS([SDL/SDL.h] ,,AC_MSG_ERROR([cannot find SDL header. please download from libsdl.org])]))
 
    LIBS="`sdl-config --libs` $LIBS"
@@ -389,73 +389,4 @@
 ## CHECKING FOR HEADERS AND LIBS ##
 ###################################
-
-#--------#
-# openAL #
-#--------#
-# checking for openAL-headers
-  AC_CHECK_HEADERS([AL/al.h] ,,
-      [AC_MSG_ERROR([cannot find openAL header.])])
-# checking for openAL-lib
-  AC_CHECK_LIB([openal], [main], [FOUND_openal=yes])
-     if test x$FOUND_openal = xyes ; then
-       LIBS="$LIBS -lopenal"
-     else
-        echo "------------------"
-        echo "openal library not found."
-        echo "please install the openal library, which can be found at http://www.openal.org"
-        echo "------------------"
-        exit -1
-     fi
-
-#-----#
-# ogg #
-#-----#
-# checking for ogg-headers
-  AC_CHECK_HEADERS([ogg/ogg.h] ,,
-      [AC_MSG_ERROR([cannot find ogg header.])])
-# checking for ogg-lib
-  AC_CHECK_LIB([ogg], [main], [FOUND_ogg=yes])
-     if test x$FOUND_ogg = xyes ; then
-       LIBS="$LIBS -logg"
-     else
-        echo "------------------"
-        echo "ogg library not found."
-        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
-
-#--------#
-# vorbis #
-#--------#
-# checking for vorbis-lib
-  AC_CHECK_LIB([vorbis], [main], [FOUND_vorbis=yes])
-     if test x$FOUND_vorbis = xyes ; then
-       LIBS="$LIBS -lvorbis"
-     else
-        echo "------------------"
-        echo "vorbis library not found."
-        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
-
-#------------#
-# vorbisfile #
-#------------#
-# checking for vorbis-headers
-  AC_CHECK_HEADERS([vorbis/vorbisfile.h] ,,
-      [AC_MSG_ERROR([cannot find vorbisfile header.])])
-# checking for vorbisfile-lib
-  AC_CHECK_LIB([vorbisfile], [main], [FOUND_vorbisfile=yes])
-     if test x$FOUND_vorbisfile = xyes ; then
-       LIBS="$LIBS -lvorbisfile"
-     else
-        echo "------------------"
-        echo "vorbisfile library not found."
-        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
 
 #---------#
@@ -496,4 +427,73 @@
       exit -1
    fi
+
+#--------#
+# openAL #
+#--------#
+# checking for openAL-headers
+  AC_CHECK_HEADERS([AL/al.h] ,,
+      [AC_MSG_ERROR([cannot find openAL header.])])
+# checking for openAL-lib
+  AC_CHECK_LIB([openal], [main], [FOUND_openal=yes])
+     if test x$FOUND_openal = xyes ; then
+       LIBS="$LIBS -lopenal"
+     else
+        echo "------------------"
+        echo "openal library not found."
+        echo "please install the openal library, which can be found at http://www.openal.org"
+        echo "------------------"
+        exit -1
+     fi
+
+#-----#
+# ogg #
+#-----#
+# checking for ogg-headers
+  AC_CHECK_HEADERS([ogg/ogg.h] ,,
+      [AC_MSG_ERROR([cannot find ogg header.])])
+# checking for ogg-lib
+  AC_CHECK_LIB([ogg], [main], [FOUND_ogg=yes])
+     if test x$FOUND_ogg = xyes ; then
+       LIBS="$LIBS -logg"
+     else
+        echo "------------------"
+        echo "ogg library not found."
+        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "------------------"
+        exit -1
+     fi
+
+#--------#
+# vorbis #
+#--------#
+# checking for vorbis-lib
+  AC_CHECK_LIB([vorbis], [main], [FOUND_vorbis=yes])
+     if test x$FOUND_vorbis = xyes ; then
+       LIBS="$LIBS -lvorbis"
+     else
+        echo "------------------"
+        echo "vorbis library not found."
+        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "------------------"
+        exit -1
+     fi
+
+#------------#
+# vorbisfile #
+#------------#
+# checking for vorbis-headers
+  AC_CHECK_HEADERS([vorbis/vorbisfile.h] ,,
+      [AC_MSG_ERROR([cannot find vorbisfile header.])])
+# checking for vorbisfile-lib
+  AC_CHECK_LIB([vorbisfile], [main], [FOUND_vorbisfile=yes])
+     if test x$FOUND_vorbisfile = xyes ; then
+       LIBS="$LIBS -lvorbisfile"
+     else
+        echo "------------------"
+        echo "vorbisfile library not found."
+        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "------------------"
+        exit -1
+     fi
 
 #-----#