Index: data/trunk/models/space_stations/ZHARA_Space_Station.oif
===================================================================
--- data/trunk/models/space_stations/ZHARA_Space_Station.oif	(revision 4665)
+++ data/trunk/models/space_stations/ZHARA_Space_Station.oif	(revision 4668)
@@ -152,5 +152,5 @@
       <name>RedLight1</name>
       <color>255, 0, 0</color>
-      <size>2</size>
+      <size>1.2</size>
       <sequence>599995005999950059999999999995000000005999995000059999999500000005995005995005995</sequence>
       <period>5</period>
@@ -164,5 +164,5 @@
       <name>RedLight2</name>
       <color>255, 0, 0</color>
-      <size>0.35</size>
+      <size>0.25</size>
       <sequence>86420000000000000000000099999999</sequence>
       <period>2</period>
@@ -176,5 +176,5 @@
       <name>GreenLight1</name>
       <color>0, 255, 0</color>
-      <size>0.35</size>
+      <size>0.25</size>
       <sequence>00000000000000009999999986420000</sequence>
       <period>2</period>
@@ -188,5 +188,5 @@
       <name>GreenLight2</name>
       <color>0, 255, 0</color>
-      <size>0.35</size>
+      <size>0.25</size>
       <sequence>99999999864200000000000000000000</sequence>
       <period>2</period>
@@ -200,5 +200,5 @@
       <name>RedLight3</name>
       <color>255, 0, 0</color>
-      <size>0.35</size>
+      <size>0.25</size>
       <sequence>00000000999999998642000000000000</sequence>
       <period>2</period>
@@ -212,6 +212,6 @@
       <name>RedLight4</name>
       <color>255, 0, 0</color>
-      <size>0.85</size>
-      <period>1.5</period>
+      <size>0.35</size>
+      <period>3</period>
       <sequence>99988765432110001123456788</sequence>
     </Details>
@@ -224,6 +224,6 @@
       <name>GreenLight3</name>
       <color>0, 255, 0</color>
-      <size>0.85</size>
-      <period>1</period>
+      <size>0.35</size>
+      <period>2</period>
     </Details>
   </MP.23.GreenLight>
@@ -235,6 +235,6 @@
       <name>GreenLight4</name>
       <color>0, 255, 0</color>
-      <size>0.85</size>
-      <period>0.8</period>
+      <size>0.35</size>
+      <period>1.6</period>
       <sequence>67889998876543211000112345</sequence>
     </Details>
@@ -247,5 +247,5 @@
       <name>BlueLight1</name>
       <color>0, 0, 255</color>
-      <size>1</size>
+      <size>0.5</size>
     </Details>
   </MP.25.BlueLight>
@@ -257,5 +257,5 @@
       <name>BlueLight2</name>
       <color>0, 0, 255</color>
-      <size>1</size>
+      <size>0.5</size>
     </Details>
   </MP.26.BlueLight>
@@ -267,5 +267,5 @@
       <name>BlueLight3</name>
       <color>0, 0, 255</color>
-      <size>1</size>
+      <size>0.5</size>
     </Details>
   </MP.27.BlueLight>
@@ -277,5 +277,5 @@
       <name>BlueLight4</name>
       <color>0, 0, 255</color>
-      <size>1</size>
+      <size>0.5</size>
     </Details>
   </MP.28.BlueLight>
@@ -287,5 +287,5 @@
       <name>BlueLight5</name>
       <color>0, 0, 255</color>
-      <size>1</size>
+      <size>0.5</size>
     </Details>
   </MP.29.BlueLight>
@@ -297,5 +297,5 @@
       <name>BlueLight6</name>
       <color>0, 0, 255</color>
-      <size>1</size>
+      <size>0.5</size>
     </Details>
   </MP.30.BlueLight>
@@ -307,5 +307,5 @@
       <name>BlueLight7</name>
       <color>0, 0, 255</color>
-      <size>1</size>
+      <size>0.5</size>
     </Details>
   </MP.31.BlueLight>
@@ -317,5 +317,5 @@
       <name>BlueLight8</name>
       <color>0, 0, 255</color>
-      <size>1</size>
+      <size>0.5</size>
     </Details>
   </MP.32.BlueLight>
Index: data/trunk/models/spaceships/pirates_spaceship_ragnar.oif
===================================================================
--- data/trunk/models/spaceships/pirates_spaceship_ragnar.oif	(revision 4665)
+++ data/trunk/models/spaceships/pirates_spaceship_ragnar.oif	(revision 4668)
@@ -7,5 +7,5 @@
     <OrxClass>SpriteParticles</OrxClass>
     <Details>
-      <name>Steam at Entrance</name>
+      <name>engine01</name>
       <type>sprite</type>
       <texture>steam01.png</texture>
@@ -27,5 +27,5 @@
           <emission-velocity>-5,1</emission-velocity>
 <!--          <size>100, 100</size>-->
-          <rate>100</rate>
+          <rate>40</rate>
         </DotEmitter>
       </emitters>
@@ -33,13 +33,35 @@
   </MP.01.enginefire01>
 
-  <!--<MP.02.enginefire02>
+  <MP.02.enginefire02>
     <Description>fire outta engine 02</Description>
-    <OrxClass></OrxClass>
+    <OrxClass>SpriteParticles</OrxClass>
     <Details>
       <name>engine02</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>2, 1</life-span>
+      <radius>0.0, 1.0, 1.0</radius>
+      <radius>0.2, 1.0, 1</radius>
+      <radius>1.0, 1.0, 1</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+<!--          <rel-dir>3.1412, 0, 0, 1</rel-dir>-->
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+<!--          <size>100, 100</size>-->
+          <rate>40</rate>
+        </DotEmitter>
+      </emitters>
     </Details>
   </MP.02.enginefire02>
 
-  <MP.03.enginefire03>
+  <!--<MP.03.enginefire03>
     <Description>fire outta engine 03</Description>
     <OrxClass></OrxClass>