Index: data/trunk/levels/sp_level_spacestation1.oxw
===================================================================
--- data/trunk/levels/sp_level_spacestation1.oxw	(revision 4670)
+++ data/trunk/levels/sp_level_spacestation1.oxw	(revision 4671)
@@ -54,4 +54,13 @@
       <md2texture>models/creatures/doom_male/male_albat.pcx</md2texture>
       <abs-coor>1177.693, -12, 203.514</abs-coor>
+      <abs-dir>3.14, 0, 1, 0</abs-dir>
+    </GenericNPC>
+
+
+    <GenericNPC>
+      <name>panicGuy</name>
+      <model>models/creatures/doom_male/male.md2, 10</model>
+      <md2texture>models/creatures/doom_male/male_blues.pcx</md2texture>
+      <abs-coor>397.930054, 21.617195, 357.360992 </abs-coor>
       <abs-dir>3.14, 0, 1, 0</abs-dir>
     </GenericNPC>
@@ -522,10 +531,10 @@
       <quest-name>First Quest</quest-name>
       <quest-description>
-        Hello Player.W\nelcome to the world of Orxonox! First of all: go to the Gloriabar and talk the to your contact person!
+        Hello Player.Welcome to the world of Orxonox! First of all: Go to the Gloriabar and talk the to your contact person!
        </quest-description>
       <quest-picture>/textures/orx_REMOVE_ME.png</quest-picture>
       <quest-difficulty>D\ifficulty:   Easy P </quest-difficulty>
       <quest-persons>\nlayers needed:  1</quest-persons>
-      <reward-picture>/textures/goldsack.png</reward-picture>
+      <reward-picture>/textures/orx_REMOVE_ME.png</reward-picture>
       <reward-description>A\n bag full of gold!!!</reward-description>
     </QuestGUI>
@@ -536,5 +545,5 @@
       <quest-name>Second_Quest</quest-name>
       <quest-description>
-      Congratulations!You've just found the m\naybe most important place on this Space-station!Go, get yourself a drink...
+      Congratulations! You've just found the maybe most important place on this Spacestation! \n Go get yourself a drink...
        </quest-description>
       <quest-picture>/textures/orx_REMOVE_ME.png</quest-picture>
@@ -543,4 +552,17 @@
       <reward-picture>/textures/martini.png</reward-picture>
       <reward-description>A\n tasty Drink</reward-description>
+    </QuestGUI>
+
+    <QuestGUI>
+      <name>Third_Quest</name>
+      <quest-name>Third_Quest</quest-name>
+      <quest-description>
+      Aaaahh! We're being attacked! Quick get to the hangar and reinforce our troops! Move out!
+       </quest-description>
+      <quest-picture>/textures/orx_REMOVE_ME.png</quest-picture>
+      <quest-difficulty>Difficulty:   Medium </quest-difficulty>
+      <quest-persons>Persons needed:  1</quest-persons>
+      <reward-picture>/textures/martini.png</reward-picture>
+      <reward-description>Reward: Die in honour for your world!</reward-description>
     </QuestGUI>
 
Index: data/trunk/levels/sp_level_spacestation1B.oxw
===================================================================
--- data/trunk/levels/sp_level_spacestation1B.oxw	(revision 4670)
+++ data/trunk/levels/sp_level_spacestation1B.oxw	(revision 4671)
@@ -537,4 +537,44 @@
     </BspEntity>
 
+    <QuestGUI>
+      <name>First_Quest</name>
+      <quest-name>First Quest</quest-name>
+      <quest-description>
+       Welcome to the hangar! Now go to the shop and get a ship! ASAP!
+       </quest-description>
+      <quest-picture>/textures/orx_REMOVE_ME.png</quest-picture>
+      <quest-difficulty>Difficulty: Easy \n</quest-difficulty>
+      <quest-persons>Players needed:  1</quest-persons>
+      <reward-picture>/textures/goldsack.png</reward-picture>
+      <reward-description>A bag full of gold!!!</reward-description>
+    </QuestGUI>
+
+    <QuestGUI>
+      <name>Second_Quest</name>
+      <quest-name>Second Quest</quest-name>
+      <quest-description>
+       Hey you are going on a very important misson! You will need more than this rusty can!
+       </quest-description>
+      <quest-picture>/textures/orx_REMOVE_ME.png</quest-picture>
+      <quest-difficulty>Difficulty: Easy \n</quest-difficulty>
+      <quest-persons>Players needed:  1</quest-persons>
+      <reward-picture>/textures/goldsack.png</reward-picture>
+      <reward-description>You ain't winning a reward with this piece of ... </reward-description>
+    </QuestGUI>
+
+
+   <QuestGUI>
+      <name>Third_Quest</name>
+      <quest-name>Third Quest</quest-name>
+      <quest-description>
+       There you are. This ship will bring you a lot of pleasure! Sould I wrap it up ?
+       </quest-description>
+      <quest-picture>/textures/orx_REMOVE_ME.png</quest-picture>
+      <quest-difficulty>Difficulty: Easy \n</quest-difficulty>
+      <quest-persons>Players needed:  1</quest-persons>
+      <reward-picture>/textures/goldsack.png</reward-picture>
+      <reward-description> Here we go! </reward-description>
+    </QuestGUI>
+
   </WorldEntities>
 
@@ -552,4 +592,7 @@
     </Scripts>
   </ScriptManager>
+
+
+   
 
   <Music>sounds/ambient/hangar02.ogg</Music>
Index: data/trunk/scripts/cutscene/cutscene.lua
===================================================================
--- data/trunk/scripts/cutscene/cutscene.lua	(revision 4670)
+++ data/trunk/scripts/cutscene/cutscene.lua	(revision 4671)
@@ -194,6 +194,6 @@
 cameraManager:setCam("CameraOne")
 cameraManager:jumpCurrCam(125,0,-245)
-cameraManager:atachCurrCameraToWorldEntity("NPC", "transporterOne")
---cameraManager:changeCurrTarget("Building", "zhara")
+--cameraManager:atachCurrCameraToWorldEntity("NPC", "transporterOne")
+cameraManager:changeCurrTarget("Building", "zhara")
 cameraSwitched = true
 end
Index: data/trunk/scripts/spacestation/spaceship_hangar.lua
===================================================================
--- data/trunk/scripts/spacestation/spaceship_hangar.lua	(revision 4670)
+++ data/trunk/scripts/spacestation/spaceship_hangar.lua	(revision 4671)
@@ -1,27 +1,64 @@
  -- Create the trigger
---trigger = ScriptTrigger()
---trigger:setName("maintrigger")
---trigger:setScript("spaceship_hangar.lua")
---trigger:setFunction("tick")
---trigger:setActiveOnCreation(true)
+trigger = ScriptTrigger()
+trigger:setName("maintrigger")
+trigger:setScript("spaceship_hangar.lua")
+trigger:setFunction("tick")
+trigger:setActiveOnCreation(true)
  
-
--- Cameraswitchzero
 triggerZero = ScriptTrigger()
 triggerZero:setScript("spaceship_hangar.lua")
-triggerZero:setFunction("switchToVertical")
-triggerZero:setAbsCoor(5214.267090, 21.617924, -4482.451660)
+triggerZero:setFunction("startQuestThree")
+triggerZero:setAbsCoor(3211.242188, 62.026615, -4471.773926)
 triggerZero:setTarget("Player")
-triggerZero:setRadius(50)
+triggerZero:setRadius(140)
 --triggerZero:setDebugDraw(true)
 
-thisscript:addObjectAsName("GameWorld", "Space Station 1B", "gameWorld")
 
 
-function switchToVertical(timestep)
+triggerOne = ScriptTrigger()
+triggerOne:setScript("spaceship_hangar.lua")
+triggerOne:setFunction("startQuestTwo")
+triggerOne:setAbsCoor(3454.067383, 58.026615, -4117.536133)
+triggerOne:setTarget("Player")
+triggerOne:setRadius(140)
+
+
+thisscript:addObjectAsName("GameWorld", "Space Station 1B", "gameWorld")
+thisscript:addObject("QuestGUI", "First_Quest")
+thisscript:addObject("QuestGUI", "Second_Quest")
+thisscript:addObject("QuestGUI", "Third_Quest")
+
+firstQuestShowed = false
+
+function switchToVertical()
 if gameWorld:setNextStoryName( "Mission 1" ) then
 gameWorld:stop()
 end
+
+end
+
+function startQuestTwo(timestep)
+Second_Quest:startGUI()
 return true
 end
 
+function startQuestThree(timestep)
+Third_Quest:startGUI()
+return true
+end
+
+
+
+function tick(timestep)
+
+if not firstQuestShowed then
+First_Quest:startGUI()
+firstQuestShowed = true
+end
+
+if Third_Quest:isActive() then
+switchToVertical()
+end
+
+return false
+end
Index: data/trunk/scripts/spacestation/spaceship_tower.lua
===================================================================
--- data/trunk/scripts/spacestation/spaceship_tower.lua	(revision 4670)
+++ data/trunk/scripts/spacestation/spaceship_tower.lua	(revision 4671)
@@ -14,4 +14,11 @@
 --triggerOne:setDebugDraw(true)
 
+triggerTwo = ScriptTrigger()
+triggerTwo:setScript("spaceship_tower.lua")
+triggerTwo:setFunction("startThirdQuest")
+triggerTwo:setTarget("Player")
+triggerTwo:setTriggerParent("panicGuy")
+triggerTwo:setRadius(70)
+--triggerTwo:setDebugDraw(true)
 
 -- Get objects from orxonox
@@ -19,6 +26,8 @@
 thisscript:addObject("GenericNPC", "pedestrianOne")
 thisscript:addObject("GenericNPC", "hangarguyOne")
+thisscript:addObject("GenericNPC", "panicGuy")
 thisscript:addObject("QuestGUI", "First_Quest")
 thisscript:addObject("QuestGUI", "Second_Quest")
+thisscript:addObject("QuestGUI", "Third_Quest")
 
 
@@ -27,5 +36,6 @@
 -- Globals
 questOneStarted = false
-
+barReached = false
+runProg = true
 
 -- pedestrian
@@ -166,11 +176,41 @@
 
 
+-- pedestrian
+panic = { }
+--{
+ function panic:tick(timestep)
+
+  if runProg and Player:getAbsCoorX() < 700 then
+  panicGuy:setVisibility(true)
+  panicGuy:runTo( 532.556641, 21.618149, 121.871323 )
+  panicGuy:runTo( 544.452026, 21.618143, 50.025143 )
+ 
+  runProg = false
+end
+
+ end
+
+--}
+
+
+
 function startSecondQuest(timestep)
-
 if First_Quest:isActive() then
 Second_Quest:startGUI()
-end
-
 return true
+end
+
+return false
+end
+
+
+function startThirdQuest(timestep)
+
+if barReached then
+Third_Quest:startGUI()
+return true
+end
+
+return false
 end
 
@@ -182,12 +222,21 @@
 
 if not questOneStarted then
+panicGuy:setVisibility(false)
 First_Quest:startGUI()
 questOneStarted = true
 end
 
+if Player:getAbsCoorX() > 800 then
+barReached = true
+end
+
+if barReached then
+panic:tick(timestep)
+end
 
 pedestrian:tick(timestep)
 hangarguy:tick(timestep)
 
+
 return false
 end