Index: /orxonox/trunk/src/lib/collision_detection/cd_engine.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/cd_engine.cc	(revision 4674)
+++ /orxonox/trunk/src/lib/collision_detection/cd_engine.cc	(revision 4675)
@@ -52,4 +52,10 @@
 
 
+void CDEngine::checkCollisions()
+{
+
+}
+
+
 
 void CDEngine::drawBV(int depth, int drawMode) const
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4674)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4675)
@@ -300,18 +300,17 @@
   for(int i = 0; i < length; i++)
   {
-    //PRINTF(0)("vertex %i: %f, %f, %f\n", i, verticesList[i][0], verticesList[i][1], verticesList[i][2]);
     PRINTF(3)("vertex %i: %f, %f, %f\n", i, box->vertices[i][0], box->vertices[i][1], box->vertices[i][2]);
   }
 
 
-  PRINTF(0)("\nCovariance Matrix:\n");
+  PRINTF(3)("\nCovariance Matrix:\n");
   for(int j = 0; j < 3; ++j)
   {
-    PRINT(0)(" |");
+    PRINT(3)(" |");
     for(int k = 0; k < 3; ++k)
     {
-      PRINT(0)(" \b%f ", covariance[j][k]);
-    }
-    PRINT(0)(" |\n");
+      PRINT(3)(" \b%f ", covariance[j][k]);
+    }
+    PRINT(3)(" |\n");
   }
 
@@ -369,7 +368,7 @@
   PRINTF(3)("-- Got Axis\n");
 
-  PRINTF(0)("eigenvector: %f, %f, %f\n", box->axis[0].x, box->axis[0].y, box->axis[0].z);
-  PRINTF(0)("eigenvector: %f, %f, %f\n", box->axis[1].x, box->axis[1].y, box->axis[1].z);
-  PRINTF(0)("eigenvector: %f, %f, %f\n", box->axis[2].x, box->axis[2].y, box->axis[2].z);
+  PRINTF(3)("eigenvector: %f, %f, %f\n", box->axis[0].x, box->axis[0].y, box->axis[0].z);
+  PRINTF(3)("eigenvector: %f, %f, %f\n", box->axis[1].x, box->axis[1].y, box->axis[1].z);
+  PRINTF(3)("eigenvector: %f, %f, %f\n", box->axis[2].x, box->axis[2].y, box->axis[2].z);
 }
 
@@ -627,5 +626,5 @@
         //glVertex3f(this->bvElement->vertices[i][0], this->bvElement->vertices[i][1], this->bvElement->vertices[i][2]);
         glTranslatef(this->bvElement->vertices[i][0], this->bvElement->vertices[i][1], this->bvElement->vertices[i][2]);
-        gluSphere(this->sphereObj, 1, 10, 10);
+        gluSphere(this->sphereObj, 0.2, 10, 10);
         //PRINTF(0)("v(%f, %f, %f)\n", this->bvElement->vertices[i][0], this->bvElement->vertices[i][1], this->bvElement->vertices[i][2]);
         glPopMatrix();
Index: /orxonox/trunk/src/subprojects/collision_detection/Makefile.am
===================================================================
--- /orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4674)
+++ /orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4675)
@@ -33,7 +33,6 @@
                    $(MAINSRCDIR)/lib/coord/p_node.cc \
                    $(MAINSRCDIR)/lib/coord/null_parent.cc \
-                   $(MAINSRCDIR)/lib/newmat/include.h \
-                   $(MAINSRCDIR)/lib/newmat/newmat.h \
-                   $(MAINSRCDIR)/lib/newmat/newmatap.h \
-                   $(MAINSRCDIR)/lib/newmatio.h \
-                   $(MAINSRCDIR)/lib/gui/gui_gtk.cc
+                   $(MAINSRCDIR)/lib/gui/gui_gtk.cc \
+                   $(MAINSRCDIR)/world_entities/test_entity.cc \
+                   $(MAINSRCDIR)/world_entities/world_entity.cc
+		   
Index: /orxonox/trunk/src/subprojects/collision_detection/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4674)
+++ /orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4675)
@@ -60,5 +60,6 @@
 	collision-resource_manager.$(OBJEXT) \
 	collision-p_node.$(OBJEXT) collision-null_parent.$(OBJEXT) \
-	collision-gui_gtk.$(OBJEXT)
+	collision-gui_gtk.$(OBJEXT) collision-test_entity.$(OBJEXT) \
+	collision-world_entity.$(OBJEXT)
 collision_OBJECTS = $(am_collision_OBJECTS)
 am__DEPENDENCIES_1 =
@@ -87,6 +88,8 @@
 @AMDEP_TRUE@	./$(DEPDIR)/collision-state.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-substring.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/collision-test_entity.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-text_engine.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/collision-vector.Po
+@AMDEP_TRUE@	./$(DEPDIR)/collision-vector.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/collision-world_entity.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
@@ -94,8 +97,4 @@
 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
 	-o $@
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-CCLD = $(CC)
-LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
 SOURCES = $(collision_SOURCES)
 DIST_SOURCES = $(collision_SOURCES)
@@ -238,9 +237,7 @@
                    $(MAINSRCDIR)/lib/coord/p_node.cc \
                    $(MAINSRCDIR)/lib/coord/null_parent.cc \
-                   $(MAINSRCDIR)/lib/newmat/include.h \
-                   $(MAINSRCDIR)/lib/newmat/newmat.h \
-                   $(MAINSRCDIR)/lib/newmat/newmatap.h \
-                   $(MAINSRCDIR)/lib/newmatio.h \
-                   $(MAINSRCDIR)/lib/gui/gui_gtk.cc
+                   $(MAINSRCDIR)/lib/gui/gui_gtk.cc \
+                   $(MAINSRCDIR)/world_entities/test_entity.cc \
+                   $(MAINSRCDIR)/world_entities/world_entity.cc
 
 all: all-am
@@ -324,6 +321,8 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-state.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-substring.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-test_entity.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-text_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-vector.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-world_entity.Po@am__quote@
 
 .cc.o:
@@ -598,4 +597,36 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-gui_gtk.obj `if test -f '$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; fi`
+
+collision-test_entity.o: $(MAINSRCDIR)/world_entities/test_entity.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-test_entity.o -MD -MP -MF "$(DEPDIR)/collision-test_entity.Tpo" -c -o collision-test_entity.o `test -f '$(MAINSRCDIR)/world_entities/test_entity.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/world_entities/test_entity.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-test_entity.Tpo" "$(DEPDIR)/collision-test_entity.Po"; else rm -f "$(DEPDIR)/collision-test_entity.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/world_entities/test_entity.cc' object='collision-test_entity.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-test_entity.Po' tmpdepfile='$(DEPDIR)/collision-test_entity.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-test_entity.o `test -f '$(MAINSRCDIR)/world_entities/test_entity.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/world_entities/test_entity.cc
+
+collision-test_entity.obj: $(MAINSRCDIR)/world_entities/test_entity.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-test_entity.obj -MD -MP -MF "$(DEPDIR)/collision-test_entity.Tpo" -c -o collision-test_entity.obj `if test -f '$(MAINSRCDIR)/world_entities/test_entity.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/world_entities/test_entity.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/world_entities/test_entity.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-test_entity.Tpo" "$(DEPDIR)/collision-test_entity.Po"; else rm -f "$(DEPDIR)/collision-test_entity.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/world_entities/test_entity.cc' object='collision-test_entity.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-test_entity.Po' tmpdepfile='$(DEPDIR)/collision-test_entity.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-test_entity.obj `if test -f '$(MAINSRCDIR)/world_entities/test_entity.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/world_entities/test_entity.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/world_entities/test_entity.cc'; fi`
+
+collision-world_entity.o: $(MAINSRCDIR)/world_entities/world_entity.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-world_entity.o -MD -MP -MF "$(DEPDIR)/collision-world_entity.Tpo" -c -o collision-world_entity.o `test -f '$(MAINSRCDIR)/world_entities/world_entity.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/world_entities/world_entity.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-world_entity.Tpo" "$(DEPDIR)/collision-world_entity.Po"; else rm -f "$(DEPDIR)/collision-world_entity.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/world_entities/world_entity.cc' object='collision-world_entity.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-world_entity.Po' tmpdepfile='$(DEPDIR)/collision-world_entity.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-world_entity.o `test -f '$(MAINSRCDIR)/world_entities/world_entity.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/world_entities/world_entity.cc
+
+collision-world_entity.obj: $(MAINSRCDIR)/world_entities/world_entity.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-world_entity.obj -MD -MP -MF "$(DEPDIR)/collision-world_entity.Tpo" -c -o collision-world_entity.obj `if test -f '$(MAINSRCDIR)/world_entities/world_entity.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/world_entities/world_entity.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/world_entities/world_entity.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-world_entity.Tpo" "$(DEPDIR)/collision-world_entity.Po"; else rm -f "$(DEPDIR)/collision-world_entity.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/world_entities/world_entity.cc' object='collision-world_entity.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-world_entity.Po' tmpdepfile='$(DEPDIR)/collision-world_entity.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-world_entity.obj `if test -f '$(MAINSRCDIR)/world_entities/world_entity.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/world_entities/world_entity.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/world_entities/world_entity.cc'; fi`
 uninstall-info-am:
 
Index: /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc
===================================================================
--- /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4674)
+++ /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4675)
@@ -26,12 +26,16 @@
 
 #include "md2Model.h"
+#include "model.h"
+#include "test_entity.h"
 
 #include "graphics_engine.h"
-
-
-
+#include "list.h"
+
+
+Model* mod;
 MD2Model* model;
 int drawMode;
 int depth;
+tList<WorldEntity>* entityList;
 
 void Framework::moduleInit(int argc, char** argv)
@@ -42,11 +46,19 @@
   //CDEngine::getInstance()->debug();
 
-  model = new MD2Model("models/tris.md2", "models/tris.pcx");
-  model->tick(0.1f);
-
-
-  CDEngine::getInstance()->debugSpawnTree(9, model->data->pVertices, model->data->numVertices);
-
-
+//   model = new MD2Model("models/tris.md2", "models/tris.pcx");
+//   model->tick(0.1f);
+//   CDEngine::getInstance()->debugSpawnTree(9, model->data->pVertices, model->data->numVertices);
+
+  entityList = new tList<WorldEntity>();
+
+  TestEntity* a = new TestEntity();
+
+  entityList->add(a);
+
+
+  mod = (Model*)ResourceManager::getInstance()->load("models/reaplow.obj", OBJ, RP_CAMPAIGN);
+  CDEngine::getInstance()->debugSpawnTree(9, (sVec3D*)mod->getVertexArray(), mod->getVertexArrayCount());
+
+  /* ligths */
   LightManager* lightMan = LightManager::getInstance();
   lightMan->setAmbientColor(.1,.1,.1);
@@ -56,4 +68,5 @@
   lightMan->setPosition(-30, -30, -30);
 
+  /* properties */
   drawMode = DRAW_MODEL;
   depth = 0;
@@ -171,4 +184,13 @@
 void Framework::moduleTick(float dt)
 {
+  tIterator<WorldEntity>* iterator = entityList->getIterator(); /* get the iterator - JAVA style */
+  WorldEntity* entity = iterator->nextElement();   /* this returns the FIRST element */
+  while( entity != NULL)                        /* nextElement() will return NULL at the end */
+  {
+    entity->tick(0.2);
+    entity = iterator->nextElement();       /* give back the next element or NULL if last */
+  }
+  delete iterator;
+
 }
 
@@ -180,4 +202,12 @@
   LightManager::getInstance()->draw();
 
+//   tIterator<WorldEntity>* iterator = entityList->getIterator(); /* get the iterator - JAVA style */
+//   WorldEntity* entity = iterator->nextElement();   /* this returns the FIRST element */
+//   while( entity != NULL)                        /* nextElement() will return NULL at the end */
+//   {
+//     entity->draw();
+//     entity = iterator->nextElement();       /* give back the next element or NULL if last */
+//   }
+//   delete iterator;
   //model->draw();
 }