Index: /orxonox/trunk/src/lib/graphics/importer/model.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/model.h	(revision 4677)
+++ /orxonox/trunk/src/lib/graphics/importer/model.h	(revision 4678)
@@ -111,15 +111,18 @@
   inline const GLfloat* getVertexArray(void) const { return this->vertices->getArray(); };
   /** \returns the VertexCount of this Model */
-  inline unsigned int getVertexArrayCount(void) const { return this->vertexCount; };
+  inline unsigned int getVertexCount(void) const { return this->vertexCount; };
 
   /** \returns a Pointer to the Normals-Array, if it was deleted it returns NULL */
   inline const GLfloat* getNormalsArray(void) const { return this->normals->getArray(); };
   /** \returns the NormalsCount of this Model */
-  inline unsigned int getNormalsArrayCount(void) const { return this->normalCount; };
+  inline unsigned int getNormalsCount(void) const { return this->normalCount; };
 
   /** \returns a Pointer to the TexCoord-Array, if it was deleted it returns NULL */
   inline const GLfloat* getTexCoordArray(void) const { return this->vTexture->getArray(); };
   /** \returns the TexCoord-Count of this Model */
-  inline unsigned int getTexCoordArrayCount(void) const { return this->texCoordCount; };
+  inline unsigned int getTexCoordCount(void) const { return this->texCoordCount; };
+
+  /** \returns the Count of Faces of this Model */
+  inline unsigned int getFaceCount() const { return this->faceCount; };
 
 
@@ -140,12 +143,4 @@
   void finalize(void);
 
-  /** \returns The number of Vertices of the Model */
-  inline int getVertexCount(void) const { return this->vertexCount; };
-  /** \returns The number of Normals of the Model */
-  inline int getNormalCount(void) const { return this->normalCount; };
-  /** \returns The number of Texture Coordinates of the Model */
-  inline int getTexCoordCount(void) const { return this->texCoordCount; };
-  /** \returns The number of Faces of the entire Model */
-  inline unsigned int getFaceCount() const { return this->faceCount; };
 
  protected:
Index: /orxonox/trunk/src/lib/graphics/importer/primitive_model.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/primitive_model.cc	(revision 4677)
+++ /orxonox/trunk/src/lib/graphics/importer/primitive_model.cc	(revision 4678)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -28,5 +28,5 @@
 
    if you want to just display a Cube/Sphere/Cylinder/... without any material.
-   
+
    \todo implement Cube/Sphere/Cylinder/...
 */
@@ -59,5 +59,5 @@
 
 */
-PrimitiveModel::~PrimitiveModel () 
+PrimitiveModel::~PrimitiveModel ()
 {
   // delete what has to be deleted here
@@ -71,10 +71,10 @@
 void PrimitiveModel::sphereModel(float size, unsigned int detail)
 {
-  if (detail <= 0) 
+  if (detail <= 0)
     detail = 1;
   size /= 2;
   //  detail = 2; // make it even
   float df = (float)detail;
-  
+
   // defining the Vertices
   for (float i = 0; i < df *2.0; i+=1.0)
@@ -82,11 +82,11 @@
       float vi = i/df *PI;
       for (float j = -df / 2.0 +1.0; j < df / 2.0; j+=1.0 *df/(df+1.0))
-	{
-	  float vj = j/df *PI;
-	  this->addVertex(size * cos(vi) * cos(vj),
-			  size * sin(vj),
-			  size * sin(vi) * cos(vj));
-	  this->addVertexTexture(i / (df *2.0), (j-1.0)/(df)+.5);
-	}
+        {
+          float vj = j/df *PI;
+          this->addVertex(size * cos(vi) * cos(vj),
+                          size * sin(vj),
+                          size * sin(vi) * cos(vj));
+          this->addVertexTexture(i / (df *2.0), (j-1.0)/(df)+.5);
+        }
     }
   this->addVertex(0, -size, 0);
@@ -100,33 +100,33 @@
     {
       for (int j = 0; j <= detail; j++)
-	{
-	  
-	  v1 = i*detail + j-1;
-	  v4 = i*detail + j;
-	  
-	  if (i == detail*2 -1)
-	    {
-	      v2 = j-1;
-	      v3 = j;
-	    }
-	  else
-	    {
-	      v2 = (i+1)*detail + j-1;
-	      v3 = (i+1)*detail + j;
-	    }
-
-	  if (j == 0)
-	    {
-	      v1 = this->getVertexCount()-2;
-	      this->addFace(3, VERTEX_TEXCOORD, v1, v1, v3, v3, v4, v4);
-	    }
-	  else if (j == detail)
-	    {
-	      v3 = this->getVertexCount()-1;
-	      this->addFace(3, VERTEX_TEXCOORD, v1, v1, v2, v2, v3, v3);
-	    }
-	  else
-	    this->addFace(4, VERTEX_TEXCOORD, v1, v1, v2, v2, v3, v3, v4, v4);
-	}
+        {
+
+          v1 = i*detail + j-1;
+          v4 = i*detail + j;
+
+          if (i == detail*2 -1)
+            {
+              v2 = j-1;
+              v3 = j;
+            }
+          else
+            {
+              v2 = (i+1)*detail + j-1;
+              v3 = (i+1)*detail + j;
+            }
+
+          if (j == 0)
+            {
+              v1 = this->getVertexCount() - 2;
+              this->addFace(3, VERTEX_TEXCOORD, v1, v1, v3, v3, v4, v4);
+            }
+          else if (j == detail)
+            {
+              v3 = this->getVertexCount()-1;
+              this->addFace(3, VERTEX_TEXCOORD, v1, v1, v2, v2, v3, v3);
+            }
+          else
+            this->addFace(4, VERTEX_TEXCOORD, v1, v1, v2, v2, v3, v3, v4, v4);
+        }
     }
 }
@@ -181,8 +181,8 @@
   this->addVertex(0,-size,0);
   this->addVertex(0,size,0);
-  if (detail <= 0) 
+  if (detail <= 0)
     detail = 1;
   float df = (float)detail;
-  
+
   // defining the Vertices
   for (float i = 0; i < df; i+=1.0)
@@ -190,6 +190,6 @@
       float vi = i/df *2.0*PI;
       this->addVertex(size* sin(vi),
-		      -size,
-		      size* cos(vi));
+                      -size,
+                      size* cos(vi));
     }
 
@@ -200,9 +200,9 @@
       v1 = i+2;
       if (i == detail -1)
-	v2 = 2;
+        v2 = 2;
       else
-	v2 = i+3;
+        v2 = i+3;
       this->addFace(3, VERTEX_ONLY, 0, v1, v2);
-      this->addFace(3, VERTEX_ONLY, 1, v1, v2); 
+      this->addFace(3, VERTEX_ONLY, 1, v1, v2);
     }
 }
@@ -219,9 +219,9 @@
     for (int j = 0; j < detail; j++)
       {
-	this->addVertex(((float)i/(float)(detail-1) -.5)*size,
-			0,
-			((float)j/(float)(detail-1) -.5)*size);
-	this->addVertexTexture((float)i/(float)(detail-1),
-			       (float)j/(float)(detail-1));
+        this->addVertex(((float)i/(float)(detail-1) -.5)*size,
+                        0,
+                        ((float)j/(float)(detail-1) -.5)*size);
+        this->addVertexTexture((float)i/(float)(detail-1),
+                               (float)j/(float)(detail-1));
       }
   //defining Faces
@@ -230,9 +230,9 @@
     for (int j = 0; j < detail-1; j++)
       {
-	v1 = i*detail + j;
-	v2 = (i+1)*detail + j;
-	v3 = (i+1)*detail + (j+1);
-	v4 = i*detail + (j+1);
-	this->addFace(4, VERTEX_TEXCOORD, v1, v1, v2, v2, v3, v3, v4, v4);
+        v1 = i*detail + j;
+        v2 = (i+1)*detail + j;
+        v3 = (i+1)*detail + (j+1);
+        v4 = i*detail + (j+1);
+        this->addFace(4, VERTEX_TEXCOORD, v1, v1, v2, v2, v3, v3, v4, v4);
       }
 }
Index: /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc
===================================================================
--- /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4677)
+++ /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4678)
@@ -58,5 +58,5 @@
 
   mod = (Model*)ResourceManager::getInstance()->load("models/reaplow.obj", OBJ, RP_CAMPAIGN);
-  CDEngine::getInstance()->debugSpawnTree(9, (sVec3D*)mod->getVertexArray(), mod->getVertexArrayCount());
+  CDEngine::getInstance()->debugSpawnTree(9, (sVec3D*)mod->getVertexArray(), mod->getVertexCount());
 
   /* ligths */