Index: /data/trunk/levels/blinktest.oxw
===================================================================
--- /data/trunk/levels/blinktest.oxw	(revision 4685)
+++ /data/trunk/levels/blinktest.oxw	(revision 4686)
@@ -14,16 +14,23 @@
   <WorldEntities>
 
-        <SkyBox>
-          <name>Sky</name>
-          <Materialset>textures/sky/simple_space</Materialset>
-          <Size>5000</Size>
-        </SkyBox>
+    <SkyBox>
+      <name>Sky</name>
+      <Materialset>textures/sky/simple_space</Materialset>
+      <Size>5000</Size>
+    </SkyBox>
  
-   <!-- <Building>
+    <NPC>
+      <name>pirateTwo</name>
+      <model>models/spaceships/human_spaceship_bomber.obj</model>
+      <mountpoints>models/spaceships/human_spaceship_bomber.oif</mountpoints>
+      <abs-coor>10,0,10</abs-coor>
+    </NPC>
+    <Building>
       <name>zhara</name>
       <model>models/space_stations/ZHARA_Space_Station.obj, 4</model>
       <mountpoints>models/space_stations/ZHARA_Space_Station.oif</mountpoints>
       <abs-coor>100,0,0</abs-coor>
-    </Building>-->
+      <!--<abs-dir>2,1 1, 0</abs-dir>-->
+    </Building>
 
     <NPC>
@@ -31,5 +38,5 @@
       <model>models/spaceships/pirates_spaceship_ragnar.obj,0.3</model>
       <mountpoints>models/spaceships/pirates_spaceship_ragnar.oif</mountpoints>
-      <!--<abs-dir>0.5,0,-2,-1 </abs-dir>-->
+      <!--<abs-dir>3,0 , 0, 1</abs-dir>-->  
       <abs-coor>0, 10, 0</abs-coor>
     </NPC>
Index: /data/trunk/models/spaceships/human_spaceship_bomber.oif
===================================================================
--- /data/trunk/models/spaceships/human_spaceship_bomber.oif	(revision 4685)
+++ /data/trunk/models/spaceships/human_spaceship_bomber.oif	(revision 4686)
@@ -38,6 +38,7 @@
     <Details>
       <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <color>255, 128, 0</color>
+      <size>0.3</size>
+      <sequence>555666555444333444</sequence>
     </Details>
   </MP.06.light1>
@@ -48,6 +49,7 @@
     <Details>
       <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <color>255, 128, 0</color>
+      <size>0.3</size>
+      <sequence>444555666555444333</sequence>
     </Details>
   </MP.07.light2>
@@ -58,6 +60,7 @@
     <Details>
       <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <color>255, 128, 0</color>
+      <size>0.3</size>
+      <sequence>333444555666555444</sequence>
     </Details>
   </MP.08.light3>
@@ -68,6 +71,7 @@
     <Details>
       <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <color>255, 128, 0</color>
+      <size>0.3</size>
+      <sequence>444333444555666555</sequence>
     </Details>
   </MP.09.light4>
@@ -78,6 +82,7 @@
     <Details>
       <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <color>255, 128, 0</color>
+      <size>0.3</size>
+      <sequence>555444333444555666</sequence>
     </Details>
   </MP.10.lightback>
Index: /data/trunk/models/spaceships/pirates_spaceship_ragnar.oif
===================================================================
--- /data/trunk/models/spaceships/pirates_spaceship_ragnar.oif	(revision 4685)
+++ /data/trunk/models/spaceships/pirates_spaceship_ragnar.oif	(revision 4686)
@@ -23,8 +23,7 @@
         <DotEmitter>
           <name>Engine Emitter</name>
-<!--          <rel-dir>3.1412, 0, 0, 1</rel-dir>-->
+          <!--<rel-dir>3.1412, 0, 0, 1</rel-dir>-->
           <spread>0, 0.1</spread>
           <emission-velocity>-5,1</emission-velocity>
-<!--          <size>100, 100</size>-->
           <rate>40</rate>
         </DotEmitter>
@@ -53,8 +52,7 @@
         <DotEmitter>
           <name>Engine Emitter</name>
-<!--          <rel-dir>3.1412, 0, 0, 1</rel-dir>-->
+          <!--<rel-dir>3.1412, 0, 0, 1</rel-dir>-->
           <spread>0, 0.1</spread>
           <emission-velocity>-5,1</emission-velocity>
-<!--          <size>100, 100</size>-->
           <rate>40</rate>
         </DotEmitter>