Index: /data/trunk/models/spaceships/pirates_spaceship_ragnar.oif
===================================================================
--- /data/trunk/models/spaceships/pirates_spaceship_ragnar.oif	(revision 4688)
+++ /data/trunk/models/spaceships/pirates_spaceship_ragnar.oif	(revision 4689)
@@ -11,20 +11,20 @@
       <texture>steam01.png</texture>
       <max-count>150</max-count>
-      <life-span>2, 1</life-span>
-      <radius>0.0, 1.0, 1.0</radius>
-      <radius>0.2, 1.0, 1</radius>
-      <radius>1.0, 1.0, 1</radius>
-      <mass>1.0, 0.5, .3</mass>
-      <color>0,1, 1, 1,.5</color>
-      <color>.5, .6, .6, .6, .2</color>
-      <color>1, .0, .0, .0, .0</color>
-      <precache>5</precache>
-      <emitters>
-        <DotEmitter>
-          <name>Engine Emitter</name>
-          <!--<rel-dir>3.1412, 0, 0, 1</rel-dir>-->
-          <spread>0, 0.1</spread>
-          <emission-velocity>-5,1</emission-velocity>
-          <rate>40</rate>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
         </DotEmitter>
       </emitters>
@@ -40,20 +40,20 @@
       <texture>steam01.png</texture>
       <max-count>150</max-count>
-      <life-span>2, 1</life-span>
-      <radius>0.0, 1.0, 1.0</radius>
-      <radius>0.2, 1.0, 1</radius>
-      <radius>1.0, 1.0, 1</radius>
-      <mass>1.0, 0.5, .3</mass>
-      <color>0,1, 1, 1,.5</color>
-      <color>.5, .6, .6, .6, .2</color>
-      <color>1, .0, .0, .0, .0</color>
-      <precache>5</precache>
-      <emitters>
-        <DotEmitter>
-          <name>Engine Emitter</name>
-          <!--<rel-dir>3.1412, 0, 0, 1</rel-dir>-->
-          <spread>0, 0.1</spread>
-          <emission-velocity>-5,1</emission-velocity>
-          <rate>40</rate>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
         </DotEmitter>
       </emitters>
@@ -61,10 +61,30 @@
   </MP.02.enginefire02>
 
-  <!--<MP.03.enginefire03>
+  <MP.03.enginefire03>
     <Description>fire outta engine 03</Description>
-    <OrxClass></OrxClass>
+    <OrxClass>SpriteParticles</OrxClass>
     <Details>
       <name>engine03</name>
-      <model>ragnar-finalcut-finaltext</model>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
     </Details>
   </MP.03.enginefire03>
@@ -72,8 +92,28 @@
   <MP.04.enginefire04>
     <Description>fire outta engine 04</Description>
-    <OrxClass></OrxClass>
+    <OrxClass>SpriteParticles</OrxClass>
     <Details>
       <name>engine04</name>
-      <model>ragnar-finalcut-finaltext</model>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
     </Details>
   </MP.04.enginefire04>
@@ -81,8 +121,28 @@
   <MP.05.enginefire05>
     <Description>fire outta engine 05</Description>
-    <OrxClass></OrxClass>
+    <OrxClass>SpriteParticles</OrxClass>
     <Details>
       <name>engine05</name>
-      <model>ragnar-finalcut-finaltext</model>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
     </Details>
   </MP.05.enginefire05>
@@ -90,12 +150,32 @@
   <MP.06.enginefire06>
     <Description>fire outta engine 06</Description>
-    <OrxClass></OrxClass>
+    <OrxClass>SpriteParticles</OrxClass>
     <Details>
       <name>engine06</name>
-      <model>ragnar-finalcut-finaltext</model>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
     </Details>
   </MP.06.enginefire06>
 
-  <MP.07.laser01>
+  <!--<MP.07.laser01>
     <Description>Turret slots</Description>
     <OrxClass>LaserCannon</OrxClass>